Get a Contact specified by id.
GET
https://api.usetrust.app/v1/contacts/{id}
Path Parameters
- idstringrequiredDescription
Responses
200
- ContactModelExample
{ "contactId": "40f535c7-5928-4acd-ba81-7efe3af3198e", "typeId": "00000000-0000-0000-0000-000000000000", "customerId": "97c53892-0e94-4eaa-bac7-013843f253aa", "created": "2025-08-10T08:05:55.1375694Z", "firstName": "Carsten", "lastName": "Schaefer", "phone": null, "email": "[email protected]", "imageUrl": null }- contactIdstring<uuid>
- typeIdstring<uuid>
- customerIdstring<uuid>
- createdstring<date-time>
- firstNamestring
- lastNamestring
- phonestring
- emailstring
- imageUrlstring
400
404
- string
500
503
curl
curl --request GET \
--url https://api.usetrust.app/v1/contacts/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.usetrust.app/v1/contacts/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.usetrust.app/v1/contacts/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.usetrust.app/v1/contacts/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
csharp
var options = new RestClientOptions("https://api.usetrust.app")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/v1/contacts/{id}", Method.Get);
request.AddHeader("accept", "application/json");
request.AddHeader("content-type", "application/json");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);200
// Returns details of a specific contact.
{
"contactId": "",
"typeId": "",
"customerId": "",
"created": "",
"firstName": "",
"lastName": "",
"phone": "",
"email": "",
"imageUrl": ""
}400
// Bad Request
404
// Not Found
""500
// Internal Server Error
503
// Service Unavailable